#### Basic AT Commands

Default values of command parameters, if applicable, are indicated by an asterisk (*)

A/ Repeat Last Command

| Repeats execution of the previous command string. "A/" must not be preceded with AT, or followed by pressing <Enter>.

A Answer

| Causes the modem to go off-hook and attempt to establish a connection, even in the absence of a ring.

B n Line Modulation Options

| Configures the modem to the desired communications standard at a particular line speed.

| B0: Selects CCITT V.22 mode when the modem is at 1200 bps, and CCITT V.21 when the modem is at 300 bps.

| *B1: Selects Bell 212A when the modem is at 1200 bps, and Bell 103 when the modem is at 300 bps.

| B2: Selects V.23 originate mode receive 1200 bps, transmit 75 bps; answer mode receive 75 bps, transmit 1200 bps.

| B3: Selects V.23 originate mode receive 75 bps, transmit 1200 bps; answer mode receive 1200 bps, transmit 75 bps.

| Result Codes:

| OK: Returned when n = 0, 1, 2 or 3.

| ERROR: Returned for any other value of n.

C n Carrier Control Option (no operation)

| This command is included to provide backward compatibility with communications software that issues this command.

| C0: Returns ERROR.

| C1: Normal transmit carrier switching.

| Result Codes:

| OK: Returned when n = 1.

| ERROR: Returned for any other value of n.

D n Dial Command

| Initiates the dialing sequence. The string n includes the dial modifiers and the telephone number to be dialed.

| Dial Modifiers:

| P: Pulse dial. Only digits 0-9 may be used in pulse dial mode.

| R: Reverse dial mode. Originates call in answer mode.

| S=n: Dial stored number. Dials the number stored in location n (0-3).

| T: Tone DTMF dial. Any digit 0-9, *, #, A, B, C, D may be tone dialed.

| W: Wait for dial tone. The modem waits for dialtone before dialing.

| ,: Pause. Causes the modem to pause before processing the next character in the dial string.

| !: Flash hook. Causes the modem to go on-hook for 0.5 seconds, then go off-hook again.

| @: Wait for quiet answer. Wait for five seconds of silence after dialing the number.

| ;: Return to idle state. Modem returns to command mode after dialing a number, but does not disconnect call.

E n AT Command Echo Options

| Enables or disables echo of characters from the modem to the DTE when the modem is in command mode.

| E0: Echo disabled.

| *E1: Echo enabled.

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR Returned for any other value of n.

F n Online Echo Command (no operation)

| This command is included to provide backward compatibility with communications software that issues this command.

| F0: Returns ERROR.

| F1: Online echo disabled.

| Result Codes:

| OK: Returned when n = 1.

| ERROR: Returned for any other value of n.

H n Switchhook Control

| Provides control of the line relay.

| H0: Causes modem to go on-hook.

| H1: Causes modem to go off-hook, but does not train.

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR: Returned for any other value of n.

I n Modem Identification

| Causes modem to provide information about itself.

| I0: Returns product code (for example, "Digi International Modem/Xem").

| I1: Returns 3-digit checksum of ROM.

| I2: Checks ROM by calculating and verifying checksum. Returns "ROM IS OK" or "ERROR".

| I3: Returns type of ROM (for example, "ROM 27C010").

| I4: Returns modem capabilities: "007040C0040000"

| Result Codes:

| OK: Returned when n = 0, 1, 2, 3 or 4.

| ERROR: Returned for any other value of n.

L n Speaker Volume (dummy command)

| This command is used by some modems to control speaker volume. This product supports this command only to ensure compatibility with scripting tools. This command has no effect.

| L0: Lowest speaker volume.

| L1: Low speaker volume.

| *L2: Medium speaker volume.

| L3: High speaker volume.

| Result Codes:

| OK: Returned when n = 0, 1, 2 or 3

| ERROR: Returned for any other value of n.

M n Speaker Control (dummy command)

| This command is used by some modems to enable the speaker. This product supports this command only to ensure compatibility with scripting tools. This command has no effect.

| M0: Always off.

| *M1: On until carrier present.

| M2: Always on.

| M3: Off during dialing and on until carrier.

| Result Codes:

| OK: Returned when n = 0, 1, 2 or 3

| ERROR: Returned for any other value of n.

N n Select Negotiate Handshake

| Controls automode enable/disable.

| N0: When originating or answering, handshake only at the communication rate specified by register S37 and command B n, with no fallback.

| *N1: When originating or answering, start handshake at the communication standard specified by register S37 and command B n. During handshake, fallback to lower speed may occur except in \N1 mode.

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR: Returned for any other value of n.

O n Go Online

| Causes the modem to go to online or data mode.

| O0: Returns modem to previously established rate.

| O1: Begins an equalizer retrain sequence, then returns to online state.

| O3-14: Forces the modem to a new rate (defined in register S62).

| Result Codes:

| OK: Returned when n = 0, 1 or 3-14.

| ERROR: Returned for any other value of n.

P Enable Pulse dialing

| Instructs the modem to use pulse dialing. Dialed digits will be pulse dialed until a T command or dial modifier is received. Tone dial is the default setting.

Q n Result Code Display Option

| Controls whether result codes are returned to the DTE.

| *Q0: Enable result codes.

| Q1: Disable result codes.

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR: Returned for any other value of n.

S n Select S Register n

| Selects a specific S register.

| n=0-99

| Sn=m: Writes the value m to S register n.

| n=0-99

| m=0-255

S n? Read S Register n

| Reports the value of S register n as a 3-digit decimal number.

| n=0-99

T Enable Tone dialing

| Instructs the modem to use DTMF tones when dialing. Dialed digits will be tone dialed until a P command or dial modifier is received. Tone dial is the default setting.

V n Result Code Format

| Controls whether result codes are returned to the DTE.

| V0: Numeric form (0 for OK).

| *V1: Verbose form (OK for OK).

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR: Returned for any other value of n.

W n Select Extended Result Codes

| Defines the result codes to be used to identify the type of connection and protocol that resulted from handshaking and negotiation.

| *W0: CONNECT result code reports DTE speed.

| W1: CONNECT result code reports DTE speed, plus the CARRIER, COMPRESSION and PROTOCOL extended result codes.

| W2: CONNECT result code reports DCE speed.

| Result Codes:

| OK: Returned when n = 0, 1 or 2.

| ERROR: Returned for any other value of n.

X n Select Result Codes/Call Progress Options

| Enables the tone detection options used in the dialing process. As these functions are chosen, the modem chip set's result codes are also affected. This command is therefore frequently used to control the modem chip set's responses. The primary function of this control is to control the modem chip set's call response capabilities.

| X0: Display CONNECT or 1 for all speeds.

| X1: Display connect message according to ATW and AT\V, blind dial, ignore busy signal.

| X2: Display connect message according to ATW and AT\V, wait for dial tone, ignore busy signal.

| X3: Display connect message according to ATW and AT\V, blind dial, check for busy signal after dialing.

| *X4: Display connect message according to ATW and AT\V, wait for dial tone, check for busy signal after dialing.

| Result Codes:

| OK: Returned when n = 0, 1, 2, 3 or 4.

| ERROR: Returned for any other value of n.

Y n Dummy Command

| Dummy command for compatibility.

| Y0: Returns OK.

| Y1: Returns OK.

Z n Recall Stored Profile

| Forces the modem to go on-hook and restore the selected profile. Non-storable parameters are returned to their factory settings.

| Z0: Reset and recall user profile 0.

| Z1: Reset and recall user profile 1.

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR:Returned for any other value of n.

#### AT& (Ampersand) Commands

&B n Autoretrain

| Defines modem action when it receives a poor signal.

| &B0: Hang up on a poor received signal.

| *&B1: Retrain on a poor received signal. Hang up if condition persists longer than the threshold set in register S7.

| &B2: Do not hang up; do not retrain (tolerate any connection).

| Result Codes:

| OK: Returned when n = 0, 1 or 2.

| ERROR: Returned for any other value of n.

&C n Data Carrier Detect Option (Async Only)

| Controls how the state of the DCD or RLSD (Receive Line Signal Detect) relates to the carrier from the remote system. Always use &C1 for Sync mode.

| &C0: State of carrier from remote modem is ignored. RLSD circuit is always on.

| *&C1: State of carrier from remote modem is tracked. RLSD circuit reflects the state of the carrier.

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR: Returned for any other value of n.

&D n Data Terminal Ready Option

| Defines modem action when it receives a poor signal.

| &D0: DTR ignored.

| &D1: Go to command mode when DTR changes from on to off.

| *&D2: Hang up and go to command mode when DTR changes from on to off. Auto answer is disabled if DTR is low.

| &D3: Reset when DTR changes from on to off.

| Result Codes:

| OK:Returned when n = 0, 1, 2 or 3.

| ERROR: Returned for any other value of n.

&F Load Factory Settings

| Loads the configuration programmed at the factory. This command replaces all command options and S register settings in the active configuration with the factory values stored in the nonvolatile RAM.

| &F: Recall factory setting as active configuration.

&G n Guard Tone Operation

| Determines which guard tone, if any, to transmit while transmitting in the high band (answer mode). Used only in V.22 and V.22bis mode.

| *&G0: No guard tones.

| &G1: 550 Hz guard tone.

| &G2: 1800 Hz guard tone.

| Result Codes:

| OK: Returned when n = 0, 1 or 2.

| ERROR: Returned for any other value of n.

&J n Dummy Command for AutoSync

| Dummy command for AutoSync compatibility.

| &J0: Returns OK.

| &J1: Returns OK.

&K n Set Flow Control

| Determines which guard tone, if any, to transmit while transmitting in the high band (answer mode). Used only in V.22 and V.22bis mode.

| &K0: Disable flow control.

| &K1: Reserved.

| &K2: Reserved.

| *&K3: Enable bi-directional hardware flow control (RTS/CTS).

| &K4: Enable bi-directional XON/XOFF flow control.

| &K5: Error.

| Result Codes:

| OK: Returned when n = 0, 3 or 4.

| ERROR: Returned for any other value of n.

&L n Dial-Up/Leased-Line Option

| Selects between dial-up and leased-line operations. NOTE: Full-featured leased line operation is not available at this time. Please call Digi Sales for more information.

| *&L0: Dial line.

| &L1: Leased line.

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR: Returned for any other value of n.

&M n Select Sync, Async or AutoSync Mode Options

| Selects the communication mode.

| *&M0: Async mode.

| &M1: Sync mode 1. Async off-line and Sync on-line. To switch to on-line command mode, select &D1 and drop DTR.

| &M2: Sync mode 2. Autodial stored #0 when DTR changes from off to on, ignore &D option, always &D2 when DTR changes from off to on.

| &M3: Sync mode 3. Manual dial mode with talk/data switch, same as &M2 when in on-line mode.

| &M4: Hayes AutoSync mode.

| Result Codes:

| OK: Returned when n = 0, 1, 2, 3 or 4.

| ERROR: Returned for any other value of n.

&P n Dial Pulse Ratio

| Determines the make/break ratio used during pulse dialing.

| *&P0: Make = 39%; Break = 61%; for use in the United States.

| &P1: Make = 33%; Break = 67%; for use in some other countries.

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR: Returned for any other value of n.

&Q n Communications Mode Option

| Selects the communication mode. This is the Hayes command, and performs identically to &M n, above.

| Result Codes:

| OK: Returned when n = 0, 1, 2, 3 or 4.

| ERROR: Returned for any other value of n.

&R n CTS/RTS Option (non-CTS Flow Control Mode)

| Defines the functions of CTS.

| *&R0: CTS follows RTS (Synchronous modes only).

| &R1: CTS always true.

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR: Returned for any other value of n.

&S n Data Set Ready Option

| Controls the functions of DSR. DSR indicates when the modem is connected to a communications channel and is ready. Async mode only. If the modem is in Sync mode, DSR is on during handshake and when on-line. DSR is off in test or idle mode.

| *&S0: DSR always on.

| &S1: DSR on during handshake and when on-line; off in test or idle modes.

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR: Returned for any other value of n.

&T n Self Test Commands

| Used to configure and place the modem in various test modes as defined by CCITT V.54. These tests are typically used to verify the analog and digital portions of a modem's operation.

| &T0: Terminate test.

| &T1: Local analog loopback.

| O: low frequency band.

| A: high frequency band.

| &T3: Local activate remote digital loopback (RDL).

| *&T4: Grant request from remote for RDL test.

| &T5: Deny request from remote for RDL test.

| &T6: Remote digital loopback test.

| &T7: Remote digital loopback with self test.

| &T8: Local analog loopback with self test.

| Result Codes:

| OK: Returned when n = 0, 3, 4, 5, 7 or 8.

| CONNECT: Returned when n = 1 or 6.

| ERROR: Returned for any other value of n.

&V n View Active Configuration and Stored Profile

| Displays the active and stored profiles (commands and S register settings), and any stored telephone numbers. The following example illustrates typical &V information for the Digi Modem/Xem.

| &V0: View active file, stored profile #0, and stored phone numbers.

| &V1: View active file, stored profile #1, and stored phone numbers.

| EXAMPLE:

| ACTIVE PROFILE:

| B1 E1 L2 M1 N1 P Q0 V1 W0 X4 Y0 &B1 &C1 &D2 &G0 &J0 &K3 &L0 &P0 &Q0 &R0 &S0 &U0 &X0 &Y0

| %A013 %C1 %E1 %G0 %01 \A3 \C0 \G0 \J0 \K5 \N3 \Q3 \T000 \V1 \X0 -J1 "H3 "O016

| S00: 000 S01: 000 S02: 043 S03: 013 S04: 010 S05: 008 S06: 002 S07: 030 S08: 002 S09: 006 S10: 014 S11: 095 S12: 050 S18: 000 S25: 005 S26: 001 S37: 000

| STORED PROFILE 0:

| B1 E1 L2 M1 N1 P Q0 V1 W0 X4 Y0 &B1 &C1 &D2 &G0 &J0 &K0 &L0 &P0 &Q0 &R0 &S0 &U0 &X0 &Y0

| %A013 %C1 %E1 %G0 %01 \A3 \C0 \G0 \J0 \K5 \N3 \Q3 \T000 \V0 \X0 -J1 "H3 "O016

| S00: 000 S02: 043 S06: 002 S07: 030 S08: 002 S09: 006 S10: 014 S11: 095 S12: 050 S18: 000 S25: 005 S26: 001 S37: 000

| TELEPHONE NUMBERS:

| &Z0= &Z1=

| &Z2= &Z3=

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR: Returned for any other value of n.

&W n Store Active Profile

| Stores certain command options and S register values into one of the two nonvolatile stored profile locations:

| &W0: Save active configuration as user profile 0.

| &W1: Save active configuration as user profile 1.

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR: Returned for any other value of n.

&X n Sync Transmit Clock Source

| Determines how the DTE transmit clock is generated while the modem is in synchronous modes.

| *&X0: The modem generates the transmit clock and applies it to pin 15 (EIA-232).

| &X1: The DTE generates the transmit clock on pin 25 (EIA-232) and the modem applies it to pin 15 (EIA-232)

| &X2: The modem derives the transmit clock from the receive carrier signal and applies it to pin 15 (EIA-232).

| Result Codes:

| OK: Returned when n = 0, 1 or 2.

| ERROR: Returned for any other value of n.

&Y n Select Stored Profile on Powerup

| Selects which user profile will be recalled into the active profile when the modem is powered up.

| &Y0: Select user profile 0.

| &Y1: Select user profile 1.

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR: Returned for any other value of n.

&Z n=x Store Telephone Number

| Stores a dialing string x in one of four non-volatile memory locations n. Dialing strings can be up to 36 characters long, including dial modifiers; spaces are not counted.

| n=0-3

| x=0-9, A, B, C, D, #, *, T, P, R, W, @, comma, !, ; (dial string)

#### AT% (Percent) Commands

%A n Set Autoreliable Fallback Character

| Allows the user to specify the character that tells the modem to return (or fall back) from autoreliable (MNP) mode to a normal connection on the answering modem.

| Result Codes:

| OK: Returned when n = 0-127 (ascii set).

| ERROR: Returned for any other value of n.

| Default: 0x0D

%C n Data Compression

| Controls the MNP Class 5 compression. The modem can only perform data compression on an error corrected link.

| %C0: No compression.

| *%C1: MNP Class 5 compression.

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR: Returned for any other value of n.

%G n Auto Fallforward/Fallback Enable

| Selects the auto fallback option.

| %G0: Disabled.

| *%G1: Enabled.

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR: Returned for any other value of n.

#### AT\ (Backslash) Commands

\A n Block Size for V.42

| Sets the maximum block size during connection. This option forces the modem chip set to transmit smaller blocks of data. Typically used for poor quality telephone lines where transmitting smaller blocks reduces retransmission and improves throughput.

| \A0: Max 64 characters.

| \A1: Max 128 characters.

| \A2: Max 192 characters.

| *\A3: Max 256 characters.

| Result Codes:

| OK: Returned when n = 0, 1, 2 or 3.

| ERROR: Returned for any other value of n.

\B n Transmit Break

| Sends a break to the remote modem. Equivalent to using the <Break> key on your terminal. This command can be used if your keyboard does not have a <Break> key.

| \B0 - \B9: BREAK length, in 100 ms increments.

| Result Codes:

| OK: If connected in data mode.

| ERROR: If not connected, or connected in FAX mode.

\C n Set Autoreliable Buffer

| Defines whether the modem buffers the data it receives during link negotiation.

| *\C0: Do not buffer data.

| \C1: Buffers data on answering modem for 4 seconds, until 200 characters have been buffered, then switches to normal mode and the buffered characters are passed to the serial port. If a SYN character is detected, reliable mode is attempted.

| \C2: Does not buffer data on answering modem. Switches to normal mode upon receipt of autoreliable character and passes it to serial port.

| Result Codes:

| OK: Returned when n = 0, 1 or 2.

| ERROR: Returned for any other value of n.

\G n Set Modem Port Flow Control (Only in Normal Mode)

| Selects the modem's DCE or port flow control. If the modem is receiving data from the remote modem faster than it can be processed, enabling port flow control allows the modem to handle the data efficiently.

| *\G0: Disable port flow control.

| \G1: Set port flow control to XON/XOFF.

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR: Returned for any other value of n.

\J n Constant DTE Speed Option

| *\J0: DCE and DTE rates are independent.

| \J1: DTE rate adjusts to DCE connection rate after online.

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR: Returned for any other value of n.

\K n Set Break Control

| Selects the way in which the modem handles a break signal. The Modem Xem can handle a break in one of three ways: expedited destructive, expedited, or queued break.

| In online data mode with V.42 protocol or normal mode, then break signal to DTE through EIA-232,

| 0, 2, 4: Enter online command mode but do not send break to remote modem.

| 1: Empty the data buffers and send break to the remote modem immediately.

| 3: Immediately send break to the remote modem.

| *5: Send break to the remote modem in sequence with data.

| In online data mode with direct mode, then receive break at serial port,

| 0, 2, 4: Immediately send break and enter online command state.

| 1, 3, *5: Immediately send break through.

| In online command mode with V.42 protocol or normal mode, and the DTE issues a transmit break command,

| 0, 1: Empty the data buffers and send break to the remote modem.

| 2, 3: Immediately send break to the remote modem.

| 4, *5: Send break to the remote modem in sequence with data.

| In online data mode with normal mode, receive break signal from remote at modem port, send to serial port,

| 0, 1: Empty the data buffers and send break to the local DTE.

| 2, 3: Immediately send break to the local DTE.

| 4, *5: Send break to the local DTE in sequence with data.

| Result Codes:

| OK: Returned when n = 0, 1, 2, 3, 4 or 5.

| ERROR: Returned for any other value of n.

\N n Modem Protocol Options

| Selects the type of data connection the modem can establish.

| \N0: Normal mode. No protocol, but flow control is allowed.

| \N1: Direct mode. No protocol and no flow control is allowed.

| \N2: MNP reliable mode.

| *\N3: LAPM, MNP or Normal mode

| \N4: LAPM or MNP mode.

| Result Codes:

| OK: Returned when n = 0, 1, 2, 3 or 4.

| ERROR: Returned for any other value of n.

\Q n DTE Flow Control Options

| Selects the flow control method the modem provides to the DTE to prevent the modem's buffer from overflowing with data. A data buffer holds the data until the modem is ready to transmit it. When the data buffer is full, flow control instructs the DTE to stop sending to the modem while the modem continues to send characters.

| \Q0: Disables flow control.

| \Q1: XON/XOFF software flow control.

| \Q2: CTS flow control to DTE.

| *\Q3: RTS/CTS hardware flow control.

| Result Codes:

| OK: Returned when n = 0, 1, 2 or 3.

| ERROR: Returned for any other value of n.

\T n Set Inactivity Timer

| Permits the modem to disconnect if no data activity has occurred for the selected period of time.

| *n=0: Disable inactivity timer.

| n=1-90: Length in minutes.

\V n Protocol Result Code

| Enables/disables the protocol result code on connect (effective only with W0 and W2 options)

| *\V0: Disable protocol result code (Connect 9600).

| \V1: Enable protocol result code (Connect 9600/LAPM).

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR: Returned for any other value of n.

\X n Set XON/XOFF Passthrough Option

| Valid only if XON/XOFF flow control is enabled, such as with \G1 or \Q1; otherwise, XON/XOFF will not be detected by the modem, and thus will always pass through.

| *\X0: Process XON/XOFF per \G and \Q options; do not pass XON/XOFF to the remote modem or local DTE.

| \X1: Process XON/XOFF per \G and \Q options; always pass XON/XOFF to the remote modem or local DTE.

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR: Returned for any other value of n.

#### AT- (Dash) Commands

-J n Set V.42 Detection Phase

| Defines whether the originating modem sends a sequence to the answering modem to determine the type of error correction it has enabled.

| -J0: Disables the V.42 detection phase.

| *-J1: Enables the V.42 detection phase.

| Result Codes:

| OK: Returned when n = 0 or 1.

| ERROR: Returned for any other value of n.

#### AT" (Quote) Commands

"H n V.42bis Compression Control

| Controls V.42bis data compression over an error correction link.

| "H0: Disable V.42bis.

| "H1: Enable V.42bis only when transmitting data.

| "H2: Enable V.42bis only when receiving data.

| *"H3: Enable V.42bis for both directions.

| Result Codes:

| OK: Returned when n = 0, 1, 2 or 3.

| ERROR: Returned for any other value of n.

"N n V.42bis Dictionary Size

| 512 bytes < btlz_dict_size < maximum RAM allows, default is 1.5 Kbytes.

| "N0: 512 bytes.

| "N1: 1024 bytes.

| "N2: 1536 bytes

| Result Codes:

| OK: Returned when n = 0, 1 or 2.

| ERROR: Returned for any other value of n.

"O n Select V.42bis Maximum String Length

| Selects the string size for V.42bis compression.

| n = 6-64.

| *Default = 32

#### Class 1 FAX Commands

The Digi Modem/Xem supports FAX commands conforming to EIA standard 578. These commands are given here with short descriptions; complete descriptions are given in the standard, available from the Electronic Industry Association. It also supports ECM mode and V.17terbo at 19.2K bps.

+FCLASS? Service Class Indication

| Causes the modem to display the current setting. The modem can operate either as a Class 0 data modem or a Class 1 FAX modem. Returns 0 for a Class 0 data modem, or 1 for a Class 1 FAX modem.

+FCLASS=? Service Class Capabilities

| Causes the modem to display the classes it supports. Returns "0" if set up for data mode; "0, 1" indicates that the modem is capable of data and Class 1 FAX services.

+FCLASS=n Service Class Selection

| Sets the modem for Class 0 (data) or Class 1 (FAX) operation.

| +FCLASS=0: Sets the modem for Class 0 data operation. +FCLASS=1: Sets the modem for Class 1 FAX operation.

+FTS=? FTS Range Capabilities

| Modem returns "0-255".

+FTS=n Transmission Silence

| Causes the modem to stop transmitting data and pause for n x 10 ms. Modem returns OK after timer has expired.

+FRS=? FRS Range Capabilities

| Modem returns "0-255".

+FRS=n Receive Silence

| Causes the modem to stop transmitting data and pause for n x 10 ms for silence; then the timer is reloaded.

+FTM=? FAX Normal Mode Transmit Capabilities

| Causes the modem to output the transmit modulations supported by the modem. See Table 1: Supported FAX Transmit/Receive Modulations.

+FTM=n Modem Initiate Training

| Causes the modem to initiate training with modulation of type n. Table 1: Supported FAX Transmit/Receive Modulations shows the values you can enter for this command and the meaning of those values.

Table 1: Supported FAX Transmit/Receive Modulations

n | Modulation | Speed (Bits/Second)
3 | V.21 ch. 2 | 300
24 | V.27terbo | 2400
48 | V.27terbo | 4800
72 | V.29 | 7200
73 | V.17LT | 7200
74 | V.17ST | 7200
92 | V.17terbo 192 LT | 19200
93 | V.17terbo 192 ST | 19200
96 | V.29 | 9600
97 | V.17LT | 9600
98 | V.17ST | 9600
121 | V.17LT | 12000
122 | V.17ST | 12000
145 | V.17LT | 14400
146 | V.17ST | 14400

+FRM=? FAX Normal Mode Receive Capabilities

| Causes the modem to output the receive modulations supported by the modem. See Table 1: Supported FAX Transmit/Receive Modulations.

+FRM=n Modem Accept Training

| Causes the modem to accept training with n type modulation and the protocol is normal mode. Table 1: Supported FAX Transmit/Receive Modulations shows the values you can enter for this command and the meaning of those values.

| Returns CONNECT or 1 to DTE after carrier is detected.

+FTH=? FAX SDLC Mode Transmit Capabilities

| Causes the modem to output the FAX SDLC transmit capabilities supported by +FTM=?. See Table 1: Supported FAX Transmit/Receive Modulations.

+FTH=n Modem Initiate Training (SDLC)

| Causes the modem to initiate training with n type modulation and the protocol is SDLC mode. Table 1: Supported FAX Transmit/Receive Modulations shows the values you can enter for this command and the meaning of those values.

| Returns CONNECT or 1 to DTE after carrier is detected.

+FRH=? FAX SDLC Mode Receive Capabilities

| Causes the modem to output the FAX SDLC receive capabilities supported by +FTM=?. See Table 1: Supported FAX Transmit/Receive Modulations.

+FRH=n Modem Accept Training (SDLC)

| Causes the modem to accept training with n type modulation and the protocol is SDLC mode. Table 1: Supported FAX Transmit/Receive Modulations shows the values you can enter for this command and the meaning of those values.

| Returns CONNECT or 1 to DTE after carrier is detected.

#### Class 2 FAX Commands

+FAA=n FAX Auto Answer Enable

| Command Syntax: +FAA=<value>

| 0: Answer as FAX modem of type specified by +FCLASS.

| 1: Automatically determine whether to answer as FAX or data modem.

+FAXERR T.30 Session Error Report

| Command syntax: +FAXERR

| Response syntax: +FAXERRR=<value>

| 0-9 Call placement and termination. 0: Normal and proper end of connection. 1: Ring detected without successful handshake. 2: Call aborted, from +FK or <CAN>

| 10-19: Transmit Phase A & miscellaneous errors.

| 20-39 Transmit Phase B hang-up codes. 20: Unspecified transmit Phase B error. 23: COMREC invalid command received. 25: DCS sent 3 times without response. 27: Failure to train.

| 40-49 Transmit Phase C hang-up codes. 40: Unspecified transmit Phase C error.

| 50-69 Transmit Phase D hang-up codes. 52: No response to MPS repeated 3 times. 53: Invalid response to MPS. 54: No response to EOP repeated 3 times. 55: Invalid response to EOP. 56: No response to EOM repeated 3 times. 57: Invalid response to EOM.

| 70-89 Receive Phase B hang-up codes.

| 90-99 Receive Phase C hang-up codes. 90: Unspecified receive Phase C error.

| 100-119 Receive Phase D hang-up codes. 100: Unspecified receive Phase D error.

| 120-255 Reserved codes.

+FBOR Data Bit Order Selection.

| Command syntax: +FBOR=<value>

| 0: Direct bit order for both Phase C data and Phase B/D data.

| 1: Reversed bit order for Phase C data and direct bit order for Phase B/D data.

| 2: Direct bit order for Phase C data and reversed bit order for Phase B/D data.

| 3: Reversed bit order for both Phase C data and for Phase B/D data.

| Note: Direct bit order: First bit transferred of each byte on the DTE-DCE link is the first bit transferred in the PSTN data carrier. Reversed bit order: Last bit transferred of each byte on the DTE-DCE link is the first bit transferred in the PSTN data carrier.

+FCQ Copy Quality Checking

| Command syntax: +FCQ=<value>

| 0: Disables copy quality checking. The modem will generate Copy Quality OK (MCF) responses to complete pages and set +FPTS=1.

+FCR Capability to Receive

| Command syntax: +FCR=<value>

| 0: Indicates the modem will not receive message data.

| 1: Indicates the modem can receive message data.

+FCTCRTY ECM Retry Count

| Command syntax: +FCTCRTY=<value>

| 0: Disable error correcting mode retries. Error correcting mode is not supported.

+FDCC FAX Capability Parameters

| Command syntax: +FDCC=VR,BR,WD,LN,DF,EC,BF,ST

| Response syntax: VR,RB,WD,LN,DF,EC,BF,ST

| Valid Values:

| VR: Vertical resolution

| 0: Normal, 98 lpi 1: Fine, 196 lpi

| BR: Bit rate

| 0: 2400 bps V.27ter 1: 4800 bps V.27ter 2: 7200 bps V.29 or V.17 3: 9600 bps V.29 or V.17 4: 12000 bps V.33 or V.17 5: 14400 bps V.33 or V.17

| WD: Page width

| 0: 1728 pixels in 215 mm

| LN: Page length

| 0: A4, 297 mm 2: Unlimited length

| DF: Data compression format

| 0: 1-D modified Huffman

| EC: Error Correction

| 0: Disable ECM

| BF: Binary file transfer

| 0: Disable BFT

| ST: Scan time/line

| VR=NormalVR=Fine

| 0: 0 ms 0 ms 1: 5 ms 5 ms 2: 10 ms 5 ms 3: 10 ms 10 ms 4: 20 ms 10 ms 5: 20 ms 20 ms 6: 40 ms 20 ms 7: 40 ms 40 ms

+FDCS Current Session Results

| Command syntax: +FDCS?

| Response syntax: VR,BR,WD,LN,DF,EC,BF,ST

| Valid Values:

| VR: Vertical resolution

| 0: Normal, 98 lpi 1: Fine, 196 lpi

| BR: Bit rate.

| 0: 2400 bps V.27ter 1: 4800 bps V.27ter 2: 7200 bps V.29 or V.17 3: 9600 bps V.29 or V.17 4: 12000 bps V.33 or V.17 5: 14400 bps V.33 or V.17

| WD: Page width

| 0: 1728 pixels in 215 mm

| LN: Page length

| 0: A4, 297 mm 2: Unlimited length

| DF: Data compression format

| 0: 1-D modified Huffman

| EC: Error Correction

| 0: Disable ECM

| BF: Binary file transfer

| 0: Disable BFT

| ST: Scan time/line

| VR=Normal VR=Fine

| 0: 0 ms 0 ms 1: 5 ms 5 ms 2: 10 ms 5 ms 3: 10 ms 10 ms 4: 20 ms 10 ms 5: 20 ms 20 ms 6: 40 ms 20 ms 7: 40 ms 40 ms

| The modem will return the negotiated T.30 parameters for the current session.

+FDFFC Data Compression Format Conversion

| Command syntax: +FDFFC=<value>

| 0: Disable mismatch checking. The DTE must check the +FDCS: DF subparameter, and transfer matching data.

+FDIS Current Session Parameters

| Command syntax: +FDIS=VR,BR,WD,LN,DF,EC,BF,ST

| Response syntax: VR,BR,WD,LN,DF,EC,BF,ST

| Valid Values:

| VR: Vertical resolution

| 0: Normal, 98 lpi 1: Fine, 196 lpi

| BR: Bit rate

| 0: 2400 bps V.27ter 1: 4800 bps V.27ter 2: 7200 bps V.29 or V.17 3: 9600 bps V.29 or V.17 4: 12000 bps V.33 or V.17 5: 14400 bps V.33 or V.17

| WD: Page width

| 0: 1728 pixels in 215 mm

| LN: Page length

| 0: A4, 297 mm 2: Unlimited length

| DF: Data compression format

| 0: 1-D modified Huffman

| EC: Error Correction

| 0: Disable ECM

| BF: Binary file transfer

| 0: Disable BFT ST: Scan time/line

| VR=NormalVR=Fine

| 0: 0 ms 0 ms 1: 5 ms 5 ms 2: 10 ms 5 ms 3: 10 ms 10 ms 4: 20 ms 10 ms 5: 20 ms 20 ms 6: 40 ms 20 ms 7: 40 ms 40 ms

+FDR Begin or continue Phase C Receive Data

| Command syntax: +FDR

| This command will initiate a transition to Phase C data reception.

+FDT Begin Phase C Data Transmission

| Command syntax: +FDT

| This command prefixes Phase C data transmission.

+FECM Error Correction Mode Control

| Command syntax: +FECM=<value>

| 0: Error correcting mode disabled.

+FET Transmit Page Punctuation

| Command syntax: +FET=<ppm>

| 0: [PPS-]MPSAnother page next, same document.

| 1: [PPS-]EOMAnother document next.

| 2: [PPS-]EOPNo more pages or documents.

| 3: PPS-NULLAnother partial page next.

| 4: [PPS-]PRI-MPS Another page, procedure interrupt.

| 5: [PPS-]PRI-EOM Another document, procedure interrupt.

| 6: [PPS-]PRI-EOP Done, procedure interrupt.

| 7: CTCContinue to correct.

| This command is used to punctuate page and document transmission, after one or more +FDT commands.

+FK Session Termination

| Command syntax: +FK

| This command causes the modem to terminate the session in an orderly manner.

+FLID Local ID String

| Command syntax: +FLID="<local ID string>"

| Valid values: ASCII string can be up to 20 characters.

| Response syntax: +FLID=?

| Return value: (20), (32-127)

+FLNFC Page Length Format Conversion

| Command syntax: +FLNFC=<value>

| 0: Disables mismatch checking. The DTE must check the +FDCS: LN subparameter, and transfer matching data.

+FLPL Indicate Document to Poll

| Command syntax: +FLPL=<value>

| 0: Indicates that the DTE has no document to poll.

+FMDL Request Model Identification

| Command syntax: +FMDL?

| Response value: The information text cannot exceed 2048 characters.

| This command causes the modem to send one or more lines of information text which is used to identify the product.

+FMFR Manufacturer's Identification

| Command syntax: +FMFR?

| Response value: The information text cannot exceed 2048 characters.

| This command causes the modem to send one or more lines of information text which is used to identify the manufacturer.

+FREV Request Product Revision Identification

| Command syntax: +FREV?

| Response value: The information text cannot exceed 2048 characters.

| This command causes the modem to send one or more lines of information text which is used to identify the version, revision level or data, or other pertinent information.

+FPHCTO DTE Phase C Response Time-out

| Command syntax: +FPHCTO=<value>

| value = 0 - 255 (100 ms units)

| Default value: 30

| This value determines how long the modem will wait for a command after reaching the end of data when transmitting in Phase C.

+FPTS Page Transfer Status

| Command syntax: +FPTS=<ppr>

| 1: MCF; Page good.

| 2: RTN; Page good; retrain requested.

| 3: RTP; Page good; retrain requested.

+FRBC Phase C Receive Data Block Size

| Command syntax: +FRBC=<value>

| 0: Stream mode, Phase C data is terminated by <DLE><ETX>.

+FREL Phase C Received EOL Alignment

| Command syntax: +FREL=<value>

| 0: Indicates that EOL patterns are aligned as received.

+FSPL Request to Poll

| Command syntax: +FSPL=<value>

| 0: Indicates that the DTE does not want to poll.

+FTBC Phase C Transmit Data Block Size

| Command syntax: +FTBC=<value>

| 0: Stream mode, Phase C data is terminated by <DLE><ETX>.

#### Class 2 FAX Responses

+FCFR Indicate Confirmation to Receive

| Syntax: +FCFR

| Usage: Indicates the reception of an acceptable TCF training burst and valid DCS signal from the remote machine.

+FCON Facsimile Connection Response

| Syntax: +FCON

| Usage: Indicates connection with a FAX machine. Generated in response to an originate command or answer command.

+FCSI Reports the Remote ID

| Syntax: +FCSI: "<CSI ID string>"

| Usage: Reports the Called Station's ID.

+FDCS Reports DCS Frame Information

| Syntax: +FDCS: VR,BR,WD,LN,DF,EC,BF,ST

| Usage: Reports negotiated parameters for the current session. The subparameters are described in the +FDCS command description.

+FDIS Reports DIS Frame Information

| Syntax: +FDIS: VR,BR,WD,LN,DF,EC,BF,ST

| Usage: Reports remote FAX capabilities and intentions. The subparameters are described in the +FDCS command description.

+FET Post Page Message Response

| Syntax: +FET: <ppm>

| Usage: Generated by the receiving modem after the end of Phase C reception, on receipt of the post-page message from the transmitting station. The <ppm> codes are described in the +FET command description.

+FHNG Call Termination with Status

| Syntax: +FHNG: <hangup status code>

| Usage: Indicates that the call has been terminated. The <hang-up status code> values are described in the +FAXERR command description.

+FPTS Receive/Transmit Page Transfer Status

| Syntax: +FPTS: <ppr>

| Usage: Reports a <ppr> number representing the copy quality and related post-page message. The valid <ppr> values are defined in the +FPTS command description.

+FTSI Report the Remote ID

| Syntax: +FTSI: "<TSI ID string>"

| Usage: Reports the transmitting station's ID.

#### S Registers

| All bit-mapped registers are read-only. The appropriate AT command which controls the relevant bits in the S register should be used to change the value.

The factory default values are stored in ROM and are loaded into the active configuration at powerup or by the ATZ n command. In addition, the designated default profile can be changed by entering the &Y n command where n is one of the two possible user profiles.

All of the factory default values may be loaded at any time by entering the &F command.

#### S Register Definitions

S0 Autoanswer Ring Count

| Sets the number of the rings required before the modem automatically answers a call. Setting this register to zero disables autoanswer mode.

| Range: 0-255 Default: 000 Units: rings

S1 Ring Count

| The value of S1 is incremented with each ring. If no rings occur over an 8 second interval, this register is cleared.

| Range: 0-255 Default: 000 Units: rings

S2 Escape Character (user defined)

| S2 holds the decimal value of the ASCII character used as the escape character. The default value corresponds to an ASCII +. A value over 127 disables the escape process, i.e., no escape character will be recognized.

| Range: 0-255 Default: 043 Units: ASCII

S3 Carriage Return <CR> Character (user defined)

| Sets the command line and result code terminator character. Pertains to asynchronous operation only.

| Range: 0-127, ASCII decimal Default: 013 (carriage return) Units: ASCII

S4 Li ne Feed <LF> Character (user defined)

| Sets the character recognized as a line feed. Pertains to asynchronous operation only. The line feed control character is output after the carriage return control character if verbose result codes are used.

| Range: 0-27, ASCII decimal Default: 010 (Line Feed) Units: ASCII

S5 Back Space <BS> Character (user defined)

| Sets the character recognized as a backspace. Pertains to asynchronous operation only. The modem will not recognize the backspace character if it is set to a value that is greater than 32 ASCII. This character can be used to edit a command line. When the echo command is enabled, the modem echoes back to the local DTE, the backspace character, an ASCII space character, and a second backspace character; this means a total of three characters are transmitted each time the modem processes the backspace character.

| Range: 0-127, ASCII decimal Default: 008 (backspace) Units: ASCII

S6 Wait Before Dialing

| Sets the length of time, in seconds, that the modem must wait (pause) after going off-hook before dialing the first digit of the telephone number. The modem always pauses for a minimum of 2 s, even if the value of S6 is less than 2 s. The wait for dial tone call progress feature (W dial modifier in the dial string) will override the value in register S6. This operation, however, may be affected by some ATX options according to country restrictions.

| Range: 2-255 Default: 002 Units: seconds

S7 Wait for Carrier

| Sets the time, in seconds, that the modem must wait before hanging up because carrier is not detected. The timer is started when the modem finishes dialing (originate), or goes off-hook (answer). In originate mode, the timer is reset upon detection of answer tone if allowed by country restrictions. This timer also specifies the wait for silence time for the @ dial modifier in seconds. S7 is not associated with the W dial modifier.

| Range: 1-255 Default: 060 Units: seconds

S8 Pause Time for Command or Dial Modifier

| Sets the time, in seconds, that the modem must pause when the "," dial modifier is encountered in the dial string.

| Range: 0-255 Default: 002 Units: seconds

S9 Carrier Validation Time

| Sets the time, in tenths of a second, that the carrier must be present before the modem considers it valid and turns on RLSD. As this time is increased, there is less chance to detect a false carrier due to noise from the telephone line.

| Range: 1-255 Default: 006 (0.6 second) Units: 0.1 s

S10 Lost Carrier Delay

| Sets the length of time, in tenths of a second, to wait before hanging up after a loss of carrier. This allows for a temporary carrier loss without causing the local modem to disconnect. When register S10 is set to 255, the modem functions as if carrier is always present. The actual interval the modem waits before disconnecting is the value in register S10 minus the value in register S9. Therefore, the S10 value must be greater than the S9 value or else the modem disconnects before it recognizes the carrier.

| Range: 1-255 Default: 014 (1.4 s) Units: 0.1 s

S11 DTMF Duration and Interdigit Delay

| Range: 50-255 Default: 095 ms Units: 0.001 s

S12 Guard Time

| Defines the maximum period, in 2-hundredths of a second, allowed between consecutive asynchronous escape characters (+) for the escape sequence to be considered valid.

| Range: 0-255 Default: 050 (1 s) Units: 0.02 s

S14 Bit-Mapped Options

| Indicates the status of command options.

| Default: (AAh), (170d), (10101010b) Bit 0 Reserved.

| Bit 1 Command echo (E n)

0: E0 Echo off
1: E1 Echo on

| Bit 2 Response (Q n)

0: Q0 on
1: Q1 off

| Bit 3 Result codes (V n)

0: V0 is selected
1: V1 is selected

| Bit 4 Dumb Mode

0: dumb mode off (normal)
1: dumb mode on

| Bit 5 Tone/Pulse Dialing

0: T tone
1: P pulse

| Bit 6 Reserved

| Bit 7 Originate/Answer

0: answer
1: originate

S16 Bit-Mapped Option Status

| Indicates the test in progress status.

| Default: 000

| Bit 0 Local analog loopback

0: local ALB disabled
1: local ALB enabled (&T1)

| Bit 1 Reserved

| Bit 2 Local digital loopback

0: local DL disabled
1: local DL enabled (&T3)

| Bit 3 Remote digital loopback (RDL) status

0: RDL off
1: RDL in progress

| Bit 4 RDL requested

0: RDL not active
1: RDL active (&T6)

| Bit 5 RDL w/ self-test

0: RDL w/ self-test disabled
1: RDL w/ self-test enabled (&T7)

| Bit 6 Local analog loopback (ALB) w/self-test

0: ALB w/ self-test disabled
1: ALB w/ self-test enabled (&T8)

| Bit 7 Reserved

S18 Modem Test Timer

| Sets the length of time, in seconds, that the modem conducts a test (commanded by &T n) before returning to the command mode. If this register value is zero, the test will not automatically terminate; the test must be terminated from the command mode by issuing an &T0 or H command.

| Range: 0-255 seconds Default: 000

S19 AutoSync Protocol Support Mode

| Default = (1Ah) (26d) (00011010b)

| Bit 0 Reserved

| Bit 1

0: Bisync protocol
1: HDLC protocol

| Bit 2

0: Address detector disabled
1: Address detector enabled

| Bit 3

0: NRZI bit coding
1: NRZ bit coding

| Bit 4

0: Selects mark idle
1: Selects flag idle

| Bits 5-7 Reserved

S20 AutoSync HDLC Address

| Default = 255

| In HDLC mode: HDLC address.

| In Bisync mode: definition of Bisync sync character.

S21 Bit-Mapped Options

| Indicates the status of command options.

| Default: (30h), (048d), (00110000b)

| Bit 0 Reserved.

| Bit 1 Reserved

| Bit 2 CTS behavior (&R n)

0: &R0 CTS follows RTS
1: &R1 CTS is always on

| Bit 4, 3 DTR behavior (&D n)

00: &D0 ignore
01: &D1 return to command mode
10: &D2 disconnect
11: &D3 reset modem

| Bit 5 DCD behavior (&C n)

0: &C0 DCD is always on
1: &C1 DCD is on after connect

| Bit 6 DSR behavior (&S n)

0: &S0 DSR is always on
1: &S1 DSR is on after connect

| Bit 7 Reserved

S22 Bit-Mapped Options

| Indicates the status of command options.

| Default: (76h), (118d), (01110110b)

| Bit 1, 0 Speaker volume (L n)

00: L0 is selected
01: L1 is selected
10: L2 is selected
11: L3 is selected

| Bit 3, 2 Speaker control (M n)

00: M0 is selected
01: M1 is selected
10: M2 is selected
11: M3 is selected

| Bit 6, 5, 4 Result codes and call progress (X n)

000: X0 is selected
001: Reserved
010: Reserved
011: Reserved
100: X1 is selected
101: X2 is selected
110: X3 is selected
111: X4 is selected

| Bit 7 Make break ratio (&P n)

0: &P0 is selected
1: &P1 is selected

S23 Bit-Mapped Options

| Indicates the status of command options.

| Default: (001), (015d), (00001111b)

| Bit 0 Grant RDL

0: &T5 is selected
1: &T4 is selected

| Bit 3, 2, 1Reserved

| Bit 5, 4 Word length (7 bits)

00: even parity
01: space parity
10: odd parity
11: mark parity

| Bit 7, 6 Guard tones (&G n)

00: disabled
01: 550 Hz
10: 1800 Hz
11: not used

S25 DTR Debounce time

| Sets the length of time that the modem ignores DTR for before hanging up. Its units are seconds for synchronous mode 1 and one hundredths of a second for other modes.

| Range: 0-255 (1 second for synchronous mode 1; 0.01 s otherwise) Default: 005 Units: 0.05 s

S26 RTS to CTS Delay Interval

| Sets the time delay, in hundredths of a second, before the modem turns CTS ON after detecting an OFF-to-ON transaction on RTS when &R0 is commanded. Pertains to synchronous operation only.

| Range: 0-255 Default: 001 Units: 0.01 s

S27 Bit-Mapped Option

| Indicates the status of command options.

| Default: (40h), (064d), (01000000b)

| Bit 3, 1, 0Synchronous/asynchronous selection (&Q n, &M n)

000: &Q0, &M0 is selected
001: &Q1, &M1 is selected
010: &Q2, &M2 is selected
011: &Q3, &M3 is selected
100: &Q4, &M4 is selected

| Bit 2 Leased line control (&L n)

0: &L0 is selected
1: &L1 is selected

| Bit 5, 4 Sync transmit clock select (&X n)

00: &X0 internal clock
01: &X1 external clock
10: &X2 TX slave to RX clock
11: Reserved

| Bit 6 ITU-T/Bell mode select (B n)

0: B0 is selected
1: B1 is selected

| Bit 7 Reserved

S30 Inactivity Timer Value

| Range: 0-90 Default: 000 Units: Minutes

S37 Desired DCE Speed

| Default = 000

| 0: Attempt to connect at the last AT speed 3: Attempt a 300 bits/s connection 5: Attempt a 1200 bits/s connection 6: Attempt a 2400 bits/s connection 7: Attempt a 4800 bits/s connection 8: Attempt a 7200 bits/s connection 9: Attempt a 9600 bits/s connection 10: Attempt a 12000 bits/s connection 11: Attempt a 14400 bits/s connection 12: Attempt a 16800 bits/s connection 13: Attempt a 19200 bits/s connection 14: Attempt a 21600 bits/s connection 15: Attempt a 24000 bits/s connection 16: Attempt a 26400 bits/s connection 17: Attempt a 28800 bits/s connection 18: Attempt a 31200 bits/s connection 19: Attempt a 33600 bits/s connection

S40 Bit-Mapped Option Status

| Default = 077

| Bit 0 Automode select (N n)

0: N0 (disabled)
1: N1 (enabled)

| Bit 1-5 Reserved

| Bit 6 V.42 detection phase (-J n)

0: -J0 (disabled)
1: -J1 (enabled)

| Bit 7 Reserved

S41 Connect Message Display

| Default = 000

| 0: CONNECT with DTE speed 1: CONNECT with carrier, protocol, and compression 2: CONNECT with DCE speed

S42 V.32 Retrain Operation (&Bn)

| Default = 001

| 0: &B0 is selected 1: &B1 is selected 2: &B2 is selected

S43 Auto Fallback Character for MNP Negotiation

| 0: disabled 1-127:enabled

| Default 013

S44 Bit-Mapped Option Status

| Default = (17h) (023d) (00010111b)

| Bit 0 V.42bis status

0: disabled
1: enabled

| Bit 1-2 V.42bis selection ("H n)

00: "H0 is selected
01: "H1 is selected
10: "H2 is selected
11: "H3 selected

| Bit 3 Reserved

| Bit 4 Auto fallback/fall forward selection (%G n)

0: %G0 is selected
1: %G1 is selected

| Bit 5-7 Reserved

S46 Automatic Sleep Timer

| 0-255 Sleep delay - unit = 100 ms

| Specifies the time the controller waits before going to sleep. The data pump is not affected.

| 0-254: 0-25.4 s

| Default value = 255 (disabled)

S47 Forced Sleep Timer with Powerdown Mode in PCMCIA

| 0-255 Sleep delay - unit = 100 ms

| Specifies the time the controller waits before going to sleep. The data pump is not affected.

| 0-254: 0-25.4 s

| Default value = 255 (disabled)

S48 Set Autoreliable Buffer (\Cn)

| Default = 000

| 0: \C0 is selected 1: \C1 is selected 2: \C2 is selected

S49 Set Maximum Block Size

| Default = 255

| 63: 64 bytes = \A0 127: 128 bytes = \A1 191: 192 bytes = \A2 255: 256 bytes = \A3

S50 FAX/Data Mode Selection

| Default = 000

| 0: Data mode 1: FAX mode

S51 Data/FAX DTE Flow Control Selection

| Default = 003

| Bit 0-2 (&K n, \Q n)

000: &K0, \Q0 are selected
001: &K1, \Q1 are selected
010: &K2, \Q2 are selected
011: &K3, \Q3 are selected

| Bit 3 Reserved

| Bit 4 XON/XOFF flow control (\G n)

0: \G0 is selected
1: \G1 is selected

| Bit 5 DTE/DCE rate (\J n)

0: \J0 is selected
1: \J1 is selected

| Bit 6, 7 XON/XOFF pass-through control (\Xn)

00: \X0 is selected
01: \X1 is selected

S52 Break Control Option

| Reflects the &K n value.

| Range: 0-5 Default: 5

S53 Modem Operating Mode (\Nn)

| Default = 003

0: \N0 is selected
1: \N1 is selected
2: \N2 is selected
3: \N3 is selected
4: \N4 is selected

S54 Bit-Mapped Option Status

| Default = 000

| Bit Meaning

0: B2 is selected
1: B3 is selected
2-6: Reserved
7: 0 = \V0 is selected, 1 = \V1 is selected

S57 V.42bis Dictionary Size (see AT"N)

| Default = 002 Range: 0-2

0: 512 bytes
1: 1024 bytes
2: 1536 bytes

S58 BTLZ String Length

| Default = 032 Range: 6-64 bytes

S59 Bit-Mapped MNP Options

| Default = 001

| Bit 0 MNP5 status (%C n)

0: %C0 is selected
1: %C1 is selected

S62 DTE Rate Status

| Default = 018

| 0: 300 bits/s 1: 600 bits/s 2: 1200 bits/s 3: 2400 bits/s 4: 4800 bits/s 5: 7200 bits/s 6: 9600 bits/s 7: 12000 bits/s 8: 14400 bits/s 9: 16800 bits/s 10: 19200 bits/s 11: 21600 bits/s 12: 24000 bits/s 13: 26400 bits/s 14: 28800 bits/s 15: 31200 bits/s 16: 33600 bits/s 17: 38400 bits/s 18: 57600 bits/s 19: 115200 bits/s

S65 Round Trip Delay

| Units: 100 ms

S72 DTE Speed Select During Data Transfer

| Default = 000

| 0: last autobaud speed 1: 300 bits/s 2: 600 bits/s 3: 1200 bits/s 4: 2400 bits/s 5: 4800 bits/s 6: 7200 bits/s 7: 9600 bits/s 8: 12000 bits/s 9: 14400 bits/s 10: 16800 bits/s 11: 19200 bits/s 12: 21600 bits/s 13: 24000 bits/s 14: 26400 bits/s 15: 28800 bits/s 16: 31200 bits/s 17: 33600 bits/s 18: 38400 bits/s 19: 57600 bits/s 20: 115200 bits/s

Copyright © 1999, Digi International. All rights reserved.